org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Interface LiveEditDiffViewer.Input

Enclosing class:
  LiveEditDiffViewer

    public static interface LiveEditDiffViewer.Input

An input for the viewer.

### Method Summary

All Methods Instance Methods Abstract Methods
`LiveEditDiffViewer.SourceText` `getNewSource()`
`LiveEditDiffViewer.SourceText` `getOldSource()`
`LiveEditDiffViewer.FunctionNode` `getRootFunction()` The root of JavaScript function tree.
`UpdatableScript.TextualDiff` `getTextualDiff()`

### Method Detail

#### getRootFunction

    LiveEditDiffViewer.FunctionNode getRootFunction()

The root of JavaScript function tree. The tree combines functions from old and new versions of the script.

Returns:

#### getOldSource

    LiveEditDiffViewer.SourceText getOldSource()

#### getNewSource

    LiveEditDiffViewer.SourceText getNewSource()

#### getTextualDiff

    UpdatableScript.TextualDiff getTextualDiff()